#!/bin/sh

set -eo pipefail
URL=http://localhost:8080

wget --quiet --tries=1 --spider ${URL}
[ $? -ne 0 ] && exit 1

CONTENT=$(wget --quiet -O - ${URL})
case "$CONTENT" in
  *"Internal Error"*) exit 1 ;;
esac

exit 0
